Package com.usatiuk.utils

# Class StatusRuntimeExceptionNoStacktrace

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
io.grpc.StatusRuntimeException
com.usatiuk.utils.StatusRuntimeExceptionNoStacktrace

All Implemented Interfaces:
  `Serializable`

public class StatusRuntimeExceptionNoStacktrace extends io.grpc.StatusRuntimeException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`StatusRuntimeExceptionNoStacktrace(io.grpc.Status status)`
`StatusRuntimeExceptionNoStacktrace(io.grpc.Status status, io.grpc.Metadata trailers)`

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`fillInStackTrace()`

### Methods inherited from class io.grpc.StatusRuntimeException

`getStatus, getTrailers`

### Methods inherited from class java.lang.Throwable

`addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StatusRuntimeExceptionNoStacktrace

public StatusRuntimeExceptionNoStacktrace(io.grpc.Status status)

### StatusRuntimeExceptionNoStacktrace

public StatusRuntimeExceptionNoStacktrace(io.grpc.Status status, @Nullable io.grpc.Metadata trailers)

## Method Details

### fillInStackTrace

public Throwable fillInStackTrace()

Overrides:
  `fillInStackTrace` in class `Throwable`